sudo ubuntu-sdk ... open project ... click to file right key mouse "Show Containing Folder" . a folder shortcut in unity sidebar is not active

Bug #1609845 reported by Александр on 2016-08-04
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
unity (Ubuntu)
Medium
Andrea Azzarone
Nominated for Vivid by Marco Trevisan (Treviño)
Nominated for Xenial by Marco Trevisan (Treviño)
Xenial
Undecided
Unassigned
Yakkety
Undecided
Unassigned

Bug Description

[Impact]
sudo ubuntu-sdk ... open project ... click to file right key mouse "Show Containing Folder" . a folder shortcut in unity sidebar is not active

[Test case]
# Unlock Nautilus launcher icon from the launcher and close all its windows
# Launch ubuntu-sdk and open a project
# Right click on a file
# Select "Show Containing Folder"
# Make sure a Nautilus launcher icon is added to the launcher

[Regression potential]
The nautilus launcher icon does not behave properly any more in the launcher and/or switcher (e.g. it fails to focus or ti activate spread, it fails to switch workspace).

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: unity 7.4.0+16.04.20160715-0ubuntu1
ProcVersionSignature: Ubuntu 4.4.0-31.50-generic 4.4.13
Uname: Linux 4.4.0-31-generic x86_64
NonfreeKernelModules: nvidia_uvm nvidia wl
.proc.driver.nvidia.gpus.0000.01.00.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0000:01:00.0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86_64 Kernel Module 340.96 Sun Nov 8 22:33:28 PST 2015
 GCC version: gcc version 5.3.1 20160413 (Ubuntu 5.3.1-14ubuntu2.1)
.tmp.unity_support_test.0:

ApportVersion: 2.20.1-0ubuntu2.1
Architecture: amd64
BootLog:

CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
Date: Thu Aug 4 19:19:46 2016
DistUpgraded: 2016-05-02 07:45:03,189 DEBUG Running PostInstallScript: './xorg_fix_proprietary.py'
DistroCodename: xenial
DistroVariant: ubuntu
DpkgLog:

EcryptfsInUse: Yes
ExecutablePath: /usr/bin/compiz
GraphicsCard:
 Intel Corporation 3rd Gen Core processor Graphics Controller [8086:0166] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: Acer Incorporated [ALI] 3rd Gen Core processor Graphics Controller [1025:0774]
   Subsystem: Acer Incorporated [ALI] GeForce 710M [1025:0774]
InstallationDate: Installed on 2015-08-27 (342 days ago)
InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
LightdmLog: [+381.26s] DEBUG: User /org/freedesktop/Accounts/User0 added
MachineType: Acer Aspire V5-571G
ProcEnviron:
 PATH=(custom, user)
 SHELL=/bin/bash
 LANG=en_US.UTF-8
 LANGUAGE=en_US
 XDG_RUNTIME_DIR=<set>
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-31-generic root=UUID=16663f38-1066-4705-8799-0ab393b5acfc ro quiet splash
SourcePackage: unity
UpgradeStatus: Upgraded to xenial on 2016-05-02 (94 days ago)
dmi.bios.date: 02/27/2013
dmi.bios.vendor: Phoenix Technologies Ltd.
dmi.bios.version: V2.17
dmi.board.asset.tag: No Asset Tag
dmi.board.name: Aspire V5-571G
dmi.board.vendor: Acer
dmi.board.version: V2.17
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 9
dmi.chassis.vendor: Acer
dmi.chassis.version: V2.17
dmi.modalias: dmi:bvnPhoenixTechnologiesLtd.:bvrV2.17:bd02/27/2013:svnAcer:pnAspireV5-571G:pvrV2.17:rvnAcer:rnAspireV5-571G:rvrV2.17:cvnAcer:ct9:cvrV2.17:
dmi.product.name: Aspire V5-571G
dmi.product.version: V2.17
dmi.sys.vendor: Acer
version.compiz: compiz 1:0.9.12.2+16.04.20160526-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.67-1ubuntu0.16.04.1
version.libgl1-mesa-dri: libgl1-mesa-dri 11.2.0-1ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 11.2.0-1ubuntu2
version.nvidia-graphics-drivers: nvidia-graphics-drivers-* N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.18.3-1ubuntu2.2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.1-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.7.0-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20160325-1ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.12-1build2
xserver.bootTime: Thu Aug 4 08:32:56 2016
xserver.configfile: /etc/X11/xorg.conf
xserver.errors:
 NVIDIA(0): Failed to initiate mode change.
 NVIDIA(0): Failed to complete mode change
 NVIDIA(0): Failed to initiate mode change.
 NVIDIA(0): Failed to complete mode change
xserver.logfile: /var/log/Xorg.0.log
xserver.version: 2:1.18.3-1ubuntu2.2

Related branches

Andrea Azzarone (azzar1) wrote :

A simple "sudo nautilus" can be used to reproduce the bug.

Changed in unity (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
tags: added: desktop-trello-import
tags: removed: desktop-trello-import
Changed in unity (Ubuntu):
status: Triaged → In Progress
assignee: nobody → Andrea Azzarone (azzar1)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 7.5.0+17.04.20161107.2-0ubuntu1

---------------
unity (7.5.0+17.04.20161107.2-0ubuntu1) zesty; urgency=medium

  [ Andrea Azzarone ]
  * Properly handle the file manager copy dialog in
    FileManagerLauncherIcon and in StorageLauncherIcon. (LP: #1575452,
    #1609845)
  * Correctly position the force quit dialog when scaling is different
    than 1.0 (LP: #1637991)
  * GnomeSession: Retrieve the session id using dbus if $XDG_SESSION_ID
    is not set

  [ Marco Trevisan (Treviño) ]
  * LockScreenController: ignore icon_paths_changed signal in
    menumanager for Lockscreen (LP: #1635625)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Mon, 07 Nov 2016 23:31:33 +0000

Changed in unity (Ubuntu):
status: In Progress → Fix Released
Andrea Azzarone (azzar1) on 2016-11-11
description: updated
Andrea Azzarone (azzar1) on 2016-11-29
description: updated

Hello Александр, or anyone else affected,

Accepted unity into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/unity/7.5.0+16.10.20161112-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in unity (Ubuntu Yakkety):
status: New → Fix Committed
tags: added: verification-needed

I tested using "sudo nautilus".

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 7.5.0+16.10.20161112-0ubuntu1

---------------
unity (7.5.0+16.10.20161112-0ubuntu1) yakkety; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * LockScreenController: ignore icon_paths_changed signal in
    menumanager for Lockscreen (LP: #1635625)

  [ Andrea Azzarone ]
  * Properly handle the file manager copy dialog in
    FileManagerLauncherIcon and in StorageLauncherIcon. (LP: #1575452,
    LP: #1609845)
  * Correctly position the force quit dialog when scaling is different
    than 1.0 (LP: #1637991)
  * GnomeSession: Retrieve the session id using dbus if $XDG_SESSION_ID
    is not set (LP: #1633749)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Sat, 12 Nov 2016 02:13:01 +0000

Changed in unity (Ubuntu Yakkety):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for unity has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Amr Ibrahim (amribrahim1987) wrote :

Please promote to Xenial.

Hello Александр, or anyone else affected,

Accepted unity into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/unity/7.4.5+16.04.20171116 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in unity (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed verification-needed-xenial
removed: verification-done
Łukasz Zemczak (sil2100) wrote :

Hello Александр, or anyone else affected,

Accepted unity into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/unity/7.4.5+16.04.20171201.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Issue can't be reproduced anymore

apt-cache policy unity
unity:
  Installed: 7.4.5+16.04.20171201.3
  Candidate: 7.4.5+16.04.20171201.3

tags: added: verification-done verification-done-xenial
removed: verification-needed verification-needed-xenial
Launchpad Janitor (janitor) wrote :
Download full text (3.4 KiB)

This bug was fixed in the package unity - 7.4.5+16.04.20171201.3

---------------
unity (7.4.5+16.04.20171201.3) xenial; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * InputMonitor: add an unity class that monitors XInput2 events and
    converts them to XEvent
  * EdgeBarrierController: use InputMonitor to get the barrier events
    instead of relying on its implementation
  * DecorationsMenuLayout: use input monitor for menu scrubbing (LP:
    #1614597)
  * PanelView: use InputMonitor to track menu events
  * LockScreenPanel: use InputMonitor events instead of mouse polling
    for menu scrubbing
  * MenuManager: add support for mouse trackers with triangle algorithm
    support (LP: #1618405)
  * PanelView: scale gradient refinement properly
  * PanelService: don't allow to deactivate menus if they've been opened
    too shortly
  * LockScreenController: ignore icon_paths_changed signal in
    menumanager for Lockscreen
  * LockScreenController: use InputMonitor to get all the events and
    hide the Blank Window (LP: #1321075)
  * LockScreenController: use input monitor to get the events to switch
    monitor (LP: #1316862)
  * LauncherOptions: use track_obj to manage option changes (LP:
    #1622995)
  * UnityScreen: toggle gestures recognition on lock (LP: #1645507)
  * GnomeSessionManager: add gcancellable to instance and use it for
    calls with temporary proxies
  * BackgroundSettings: use gnome-bg to generate textures with proper
    scaling (LP: #1666359)
  * UnityWindow: safely check validity of UnityWindow from scaled one
    (LP: #1659847)
  * Panel: ensure the menu-manager tracker is updated to match monitor
    (LP: #1671432)
  * compiz-profile-setter: tool to update the current profile and use in
    systemd and Unity settings (LP: #1668950)
  * BGHash, UnityScreen: get desktop averageColor from compiz
  * Launcher: disable or reduce most icon effects on lowgfx (LP:
    #1700859)
  * PanelController: ensure we disconnect from signals on destruction
    (LP: #1504870)
  * tools: add migration script to set the default values for unity-
    lowgfx profile

  [ Andrea Azzarone ]
  * Properly handle the file manager copy dialog in
    FileManagerLauncherIcon and in StorageLauncherIcon. (LP: #1575452,
    LP: #1609845)
  * Correctly position the force quit dialog when scaling is different
    than 1.0 (LP: #1637991)
  * GnomeSession: Retrieve the session id using dbus if $XDG_SESSION_ID
    is not set
  * Round gtk scaling factor to closest integer. (LP: #1649736)
  * Keep the screen locked if rebooting with autologin. (LP: #1600389)
  * Use g_mkdir_with_parents instead of mkdir.
  * Lockscreen: always draw the background-color in the lockscreen (LP:
    #1702701)
  * Refactor the way UserAuthenticator is created and passed around.
    Handle failures to create new threads and fallback to a "Switch to
    greeter..." button in case of failure. (LP: #1311316)
  * Wait until the color buffer is cleared before suspending. (LP:
    #1532508)

  [ Kai-Heng Feng ]
  * UnitySettings: If scale-factor is not set, find and set right scale
    for HiDPI displays.

  [ Eleni Maria Stea ]
  * shouldn't create blur rectangles when there's ...

Read more...

Changed in unity (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.